ブランドボイスのバリエーションに指定したロケールは使用済み
この問題が発生すると、APIは409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/brand-voice-variation-locale-takenです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。
このブランドボイスには、<targetLocale>向けのバリエーションがすでにあります。ブランドボイスに設定できるバリエーションは、対象ロケールごとに一つだけです。既存のバリエーションを更新してください。
フィールド#
本文には、標準メンバーのtype、status、title、detailに加え、次のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
targetLocale | string |
例#
json
{
"detail": "This brand voice already has a variation for <targetLocale>. A voice carries one variation per target locale. Update the existing one instead.",
"targetLocale": "<targetLocale>",
"type": "https://lingo.dev/docs/api/errors/brand-voice-variation-locale-taken",
"status": 409,
"title": "Brand voice variation locale taken"
}このエラーを返すエンドポイント#
PATCH /v2/brand-voice-variations/{id}POST /v2/brand-voices/{brandVoiceId}/variations